import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { DefaultAppTokenDataProps, DefaultAppTokenDefinition, GetAddressesParams, GetDataPropsParams, GetDisplayPropsParams, GetPricePerShareParams } from '../../../position/template/app-token.template.types';
import { DhedgeV2ContractFactory, DhedgeV2Token } from '../contracts';
export declare abstract class DhedgeV2PoolTokenFetcher extends AppTokenTemplatePositionFetcher<DhedgeV2Token> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: DhedgeV2ContractFactory;
    abstract factoryAddress: string;
    abstract underlyingTokenAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: DhedgeV2ContractFactory);
    getContract(address: string): DhedgeV2Token;
    getAddresses({ multicall }: GetAddressesParams): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract }: GetPricePerShareParams<DhedgeV2Token>): Promise<number[]>;
    getReserves(_params: GetDataPropsParams<DhedgeV2Token>): Promise<number[]>;
    getLabel({ contract }: GetDisplayPropsParams<DhedgeV2Token>): Promise<string>;
    getImages({ appToken, }: GetDisplayPropsParams<DhedgeV2Token, DefaultAppTokenDataProps, DefaultAppTokenDefinition>): Promise<string[]>;
}
